Bug 164620 - Obsolete directive AuthzLDAPEngine in /etc/httpd/conf.d/authz_ldap.conf
Obsolete directive AuthzLDAPEngine in /etc/httpd/conf.d/authz_ldap.conf
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mod_authz_ldap (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2005-07-29 09:14 EDT by Vedanta Barooah
Modified: 2012-05-10 10:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-10 10:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vedanta Barooah 2005-07-29 09:14:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050725 Firefox/1.0.6

Description of problem:
The directive AuthzLDAPEngine is now obsolete since version 0.24 of mod_authz_ldap. the file  /etc/httpd/conf.d/authz_ldap.conf still has this directive which can be misleading.

from the mod_authz_ldap changelog: http://authzldap.othello.ch/ChangeLog
Release 0.24:
	* changed logic for configuration of authentication method and
	  certificate mapping, I believe it is now much more transparent,
	  but some directives have disappeared or changed
		AuthzLDAPEngine			-> AuthzLDAPMethod
						-> AuthzLDAPMapMethod

version 0.26 also uses the two new directives namely AuthzLDAPMethod and AuthzLDAPMapMethod

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.cat /etc/httpd/conf.d/authz_ldap.conf

Expected Results:  Use correct directives: AuthzLDAPMethod, AuthzLDAPMapMethod

Additional info:
Comment 3 RHEL Product and Program Management 2008-02-01 14:13:57 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Aleksander Adamowski 2010-01-20 06:12:52 EST
Strange, this is quite a trivial change and it is very misleading to users - It's hitting every single admin who tries to configure mod_authz_ldap for the first time on a fresh server in our infrastructure (some dozens of RHEL installations).
Comment 5 Joe Orton 2012-05-10 10:53:56 EDT
This issue is fixed in RHEL6, and there are no plans to address it for RHEL4.

We always value feedback, but please note that Bugzilla is not a support tool.
If you have specific requests impacting your use of Red Hat Enterprise Linux,
please contact your support representative.

Information about our production support process can be found at:

Note You need to log in before you can comment on or make changes to this bug.